POST api/Zapier/InsertNotesForSameInsured
Insert notes against all insured having same name/phone number or email address.
Request Information
URI Parameters
None.
Body Parameters
NoteIntegrationModel| Name | Description | Type | Additional information |
|---|---|---|---|
| database_id | globally unique identifier |
None. |
|
| subject | string |
None. |
|
| insured_database_id | globally unique identifier |
None. |
|
| insured_email | string |
None. |
|
| insured_first_name | string |
None. |
|
| insured_last_name | string |
None. |
|
| insured_commercial_name | string |
None. |
|
| create_date | string |
None. |
|
| creator_name | string |
None. |
|
| type | string |
None. |
|
| parent_note_id | globally unique identifier |
None. |
|
| hide | boolean |
None. |
|
| policy_database_id | globally unique identifier |
None. |
|
| policies_database_ids | Collection of globally unique identifier |
None. |
|
| origin | PolicyOrigin |
None. |
|
| taskId | globally unique identifier |
None. |
|
| is_sticky_note | boolean |
None. |
|
| sticky_note_color | StickyNoteColor |
None. |
|
| opportunity_database_id | globally unique identifier |
None. |
Request Formats
application/json, text/json
Sample:
{
"database_id": "57f5284a-ff3c-4627-9bf3-dcac5bf4b6b3",
"subject": "sample string 2",
"insured_database_id": "380eafb7-e695-4076-b9ce-4fd3804a5486",
"insured_email": "sample string 3",
"insured_first_name": "sample string 4",
"insured_last_name": "sample string 5",
"insured_commercial_name": "sample string 6",
"create_date": "sample string 7",
"creator_name": "sample string 8",
"type": "sample string 9",
"parent_note_id": "39d5040d-4065-4ff4-a3ad-37623626bfb0",
"hide": true,
"policy_database_id": "0a0b36cd-86b0-4917-b49d-3a4d90e354f5",
"policies_database_ids": [
"149674e5-2dcf-4496-862d-7693c566312b",
"b3bda7da-9de3-4851-840a-330317ce2471"
],
"origin": 0,
"taskId": "95b4a08b-ccdc-4214-a159-635cd6a3c51f",
"is_sticky_note": true,
"sticky_note_color": 0,
"opportunity_database_id": "0b32dbc7-a19a-461c-a2a3-f6f42280f2d6"
}
application/xml, text/xml
Sample:
<NoteIntegrationModel xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/BusinessEntities.Integrations">
<CreateDate>sample string 7</CreateDate>
<CreatorName>sample string 8</CreatorName>
<DatabaseId>57f5284a-ff3c-4627-9bf3-dcac5bf4b6b3</DatabaseId>
<Hide>true</Hide>
<InsuredCommercialName>sample string 6</InsuredCommercialName>
<InsuredDatabaseId>380eafb7-e695-4076-b9ce-4fd3804a5486</InsuredDatabaseId>
<InsuredEmail>sample string 3</InsuredEmail>
<InsuredFirstName>sample string 4</InsuredFirstName>
<InsuredLastName>sample string 5</InsuredLastName>
<IsStickyNote>true</IsStickyNote>
<OpportunityDatabaseId>0b32dbc7-a19a-461c-a2a3-f6f42280f2d6</OpportunityDatabaseId>
<Origin>Manual</Origin>
<ParentNoteId>39d5040d-4065-4ff4-a3ad-37623626bfb0</ParentNoteId>
<PoliciesDatabaseIds xmlns:d2p1="http://schemas.microsoft.com/2003/10/Serialization/Arrays">
<d2p1:guid>149674e5-2dcf-4496-862d-7693c566312b</d2p1:guid>
<d2p1:guid>b3bda7da-9de3-4851-840a-330317ce2471</d2p1:guid>
</PoliciesDatabaseIds>
<PolicyDatabaseId>0a0b36cd-86b0-4917-b49d-3a4d90e354f5</PolicyDatabaseId>
<StickyNoteColor>None</StickyNoteColor>
<Subject>sample string 2</Subject>
<TaskId>95b4a08b-ccdc-4214-a159-635cd6a3c51f</TaskId>
<Type>sample string 9</Type>
</NoteIntegrationModel>
application/x-www-form-urlencoded
Sample:
Sample not available.
Response Information
Resource Description
NowCertsApiResult| Name | Description | Type | Additional information |
|---|---|---|---|
| Status | ApiStatus |
None. |
|
| Message | string |
None. |
Response Formats
application/json, text/json
Sample:
{
"status": 0,
"message": "sample string 1"
}
application/xml, text/xml
Sample:
<NowCertsApiResult xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/BusinessEntities.NowCertsFulcrum"> <Message>sample string 1</Message> <Status>Error</Status> </NowCertsApiResult>